## org.omg.CORBA
Class UnionDefPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.CORBA.UnionDefPOA
                  |
                  +--org.omg.CORBA.UnionDefPOATie

All Implemented Interfaces:
  ContainedOperations, ContainerOperations, IDLTypeOperations, InvokeHandler, IRObjectOperations, TypedefDefOperations, UnionDefOperations

public class UnionDefPOATie
extends UnionDefPOA

A UnionDef represents an OMG IDL union definition.

Constructor Summary
`UnionDefPOATie(UnionDefOperations tieObject)` Constructor
`UnionDefPOATie(UnionDefOperations tieObject, POA poa)` Constructor

Method Summary
`POA` `_default_POA()` _default_POA method
`UnionDefOperations` `_delegate()` Get the delegate
`void` `_delegate(UnionDefOperations delegate_)` Set the delegate
`java.lang.String` `absolute_name()` Read accessor for absolute_name attribute
`Repository` `containing_repository()` Read accessor for containing_repository attribute
`Contained[]` `contents(DefinitionKind limit_type, boolean exclude_inherited)` Operation contents
`AbstractInterfaceDef` `create_abstract_interface(java.lang.String id, java.lang.String name, java.lang.String version, AbstractInterfaceDef[] base_interfaces)` Operation create_abstract_interface
`AliasDef` `create_alias(java.lang.String id, java.lang.String name, java.lang.String version, IDLType original_type)` Operation create_alias
`ConstantDef` `create_constant(java.lang.String id, java.lang.String name, java.lang.String version, IDLType type, Any value)` Operation create_constant
`EnumDef` `create_enum(java.lang.String id, java.lang.String name, java.lang.String version, java.lang.String[] members)` Operation create_enum
`ExceptionDef` `create_exception(java.lang.String id, java.lang.String name, java.lang.String version, StructMember[] members)` Operation create_exception
`InterfaceDef` `create_interface(java.lang.String id, java.lang.String name, java.lang.String version, InterfaceDef[] base_interfaces)` Operation create_interface
`LocalInterfaceDef` `create_local_interface(java.lang.String id, java.lang.String name, java.lang.String version, LocalInterfaceDef[] base_interfaces)` Operation create_local_interface
`ModuleDef` `create_module(java.lang.String id, java.lang.String name, java.lang.String version)` Operation create_module
`NativeDef` `create_native(java.lang.String id, java.lang.String name, java.lang.String version)` Operation create_native
`StructDef` `create_struct(java.lang.String id, java.lang.String name, java.lang.String version, StructMember[] members)` Operation create_struct
`UnionDef` `create_union(java.lang.String id, java.lang.String name, java.lang.String version, IDLType discriminator_type, UnionMember[] members)` Operation create_union
`ValueBoxDef` `create_value_box(java.lang.String id, java.lang.String name, java.lang.String version, IDLType original_type_def)` Operation create_value_box
`ValueDef` `create_value(java.lang.String id, java.lang.String name, java.lang.String version, boolean is_custom, boolean is_abstract, ValueDef base_value, boolean is_truncatable, ValueDef[] abstract_base_value, InterfaceDef[] supported_interfaces, Initializer[] initializers)` Operation create_value
`DefinitionKind` `def_kind()` Read accessor for def_kind attribute
`Container` `defined_in()` Read accessor for defined_in attribute
`Description[]` `describe_contents(DefinitionKind limit_type, boolean exclude_inherited, int max_returned_objs)` Operation describe_contents
`Description` `describe()` Operation describe
`void` `destroy()` Operation destroy
`IDLType` `discriminator_type_def()` Read accessor for discriminator_type_def attribute
`void` `discriminator_type_def(IDLType value)` Write accessor for discriminator_type_def attribute
`TypeCode` `discriminator_type()` Read accessor for discriminator_type attribute
`java.lang.String` `id()` Read accessor for id attribute
`void` `id(java.lang.String value)` Write accessor for id attribute
`Contained[]` `lookup_name(java.lang.String search_name, int levels_to_search, DefinitionKind limit_type, boolean exclude_inherited)` Operation lookup_name
`Contained` `lookup(java.lang.String search_name)` Operation lookup
`UnionMember[]` `members()` Read accessor for members attribute
`void` `members(UnionMember[] value)` Write accessor for members attribute
`void` `move(Container new_container, java.lang.String new_name, java.lang.String new_version)` Operation move
`java.lang.String` `name()` Read accessor for name attribute
`void` `name(java.lang.String value)` Write accessor for name attribute
`TypeCode` `type()` Read accessor for type attribute
`java.lang.String` `version()` Read accessor for version attribute
`void` `version(java.lang.String value)` Write accessor for version attribute

Methods inherited from class org.omg.CORBA.UnionDefPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnionDefPOATie

    public UnionDefPOATie(UnionDefOperations tieObject)

  Constructor

### UnionDefPOATie

    public UnionDefPOATie(UnionDefOperations tieObject,
                          POA poa)

  Constructor

Method Detail

### _delegate

    public UnionDefOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(UnionDefOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`

### discriminator_type

    public TypeCode discriminator_type()

  Read accessor for discriminator_type attribute

### discriminator_type_def

    public IDLType discriminator_type_def()

  Read accessor for discriminator_type_def attribute

### discriminator_type_def

    public void discriminator_type_def(IDLType value)

  Write accessor for discriminator_type_def attribute

### members

    public UnionMember[] members()

  Read accessor for members attribute

### members

    public void members(UnionMember[] value)

  Write accessor for members attribute

### id

    public java.lang.String id()

  Read accessor for id attribute

### id

    public void id(java.lang.String value)

  Write accessor for id attribute

### name

    public java.lang.String name()

  Read accessor for name attribute

### name

    public void name(java.lang.String value)

  Write accessor for name attribute

### version

    public java.lang.String version()

  Read accessor for version attribute

### version

    public void version(java.lang.String value)

  Write accessor for version attribute

### defined_in

    public Container defined_in()

  Read accessor for defined_in attribute

### absolute_name

    public java.lang.String absolute_name()

  Read accessor for absolute_name attribute

### containing_repository

    public Repository containing_repository()

  Read accessor for containing_repository attribute

### describe

    public Description describe()

  Operation describe

### move

    public void move(Container new_container,
                     java.lang.String new_name,
                     java.lang.String new_version)

  Operation move

### def_kind

    public DefinitionKind def_kind()

  Read accessor for def_kind attribute

### destroy

    public void destroy()

  Operation destroy

### type

    public TypeCode type()

  Read accessor for type attribute

### lookup

    public Contained lookup(java.lang.String search_name)

  Operation lookup

### contents

    public Contained[] contents(DefinitionKind limit_type,
                                boolean exclude_inherited)

  Operation contents
  Following copied from interface: `org.omg.CORBA.ContainerOperations`
  Parameters:
    `limit_type` - If limit_type is set to dk_all "all", objects of all interface types are returned. For example, if this is an InterfaceDef, the attribute, operation, and exception objects are all returned. If limit_type is set to a specific interface, only objects of that interface type are returned. For example, only attribute objects are returned if limit_type is set to dk_Attribute "AttributeDef".
    `exclude_inherited` - If set to TRUE, inherited objects (if there are any) are not returned. If set to FALSE, all contained objects,whether contained due to inheritance or because they were defined within the object,are returned.

### lookup_name

    public Contained[] lookup_name(java.lang.String search_name,
                                   int levels_to_search,
                                   DefinitionKind limit_type,
                                   boolean exclude_inherited)

  Operation lookup_name
  Following copied from interface: `org.omg.CORBA.ContainerOperations`
  Parameters:
    `search_name` - Specified which name is to be searched for.
    `levels_to_search` - Controls whether the lookup is constrained to the object the operation is invoked on or whether it should search through objects contained by the object as well.
    `limit_type` - If limit_type is set to dk_all "all", objects of all interface types are returned. For example, if this is an InterfaceDef, the attribute, operation, and exception objects are all returned. If limit_type is set to a specific interface, only objects of that interface type are returned. For example, only attribute objects are returned if limit_type is set to dk_Attribute "AttributeDef".
    `exclude_inherited` - If set to TRUE, inherited objects (if there are any) are not returned. If set to FALSE, all contained objects,whether contained due to inheritance or because they were defined within the object,are returned.

### describe_contents

    public Description[] describe_contents(DefinitionKind limit_type,
                                           boolean exclude_inherited,
                                           int max_returned_objs)

  Operation describe_contents
  Following copied from interface: `org.omg.CORBA.ContainerOperations`
  Parameters:
    `limit_type` - If limit_type is set to dk_all "all", objects of all interface types are returned. For example, if this is an InterfaceDef, the attribute, operation, and exception objects are all returned. If limit_type is set to a specific interface, only objects of that interface type are returned. For example, only attribute objects are returned if limit_type is set to dk_Attribute "AttributeDef".
    `exclude_inherited` - If set to TRUE, inherited objects (if there are any) are not returned. If set to FALSE, all contained objects,whether contained due to inheritance or because they were defined within the object,are returned.
    `max_returned_objs` - max_returned_objs Limits the number of objects that can be returned in an invocation of the call to the number provided. Setting the parameter to -1 means return all contained objects.

### create_module

    public ModuleDef create_module(java.lang.String id,
                                   java.lang.String name,
                                   java.lang.String version)

  Operation create_module

### create_constant

    public ConstantDef create_constant(java.lang.String id,
                                       java.lang.String name,
                                       java.lang.String version,
                                       IDLType type,
                                       Any value)

  Operation create_constant

### create_struct

    public StructDef create_struct(java.lang.String id,
                                   java.lang.String name,
                                   java.lang.String version,
                                   StructMember[] members)

  Operation create_struct

### create_union

    public UnionDef create_union(java.lang.String id,
                                 java.lang.String name,
                                 java.lang.String version,
                                 IDLType discriminator_type,
                                 UnionMember[] members)

  Operation create_union

### create_enum

    public EnumDef create_enum(java.lang.String id,
                               java.lang.String name,
                               java.lang.String version,
                               java.lang.String[] members)

  Operation create_enum

### create_alias

    public AliasDef create_alias(java.lang.String id,
                                 java.lang.String name,
                                 java.lang.String version,
                                 IDLType original_type)

  Operation create_alias

### create_interface

    public InterfaceDef create_interface(java.lang.String id,
                                         java.lang.String name,
                                         java.lang.String version,
                                         InterfaceDef[] base_interfaces)

  Operation create_interface

### create_value

    public ValueDef create_value(java.lang.String id,
                                 java.lang.String name,
                                 java.lang.String version,
                                 boolean is_custom,
                                 boolean is_abstract,
                                 ValueDef base_value,
                                 boolean is_truncatable,
                                 ValueDef[] abstract_base_value,
                                 InterfaceDef[] supported_interfaces,
                                 Initializer[] initializers)

  Operation create_value

### create_value_box

    public ValueBoxDef create_value_box(java.lang.String id,
                                        java.lang.String name,
                                        java.lang.String version,
                                        IDLType original_type_def)

  Operation create_value_box

### create_exception

    public ExceptionDef create_exception(java.lang.String id,
                                         java.lang.String name,
                                         java.lang.String version,
                                         StructMember[] members)

  Operation create_exception

### create_native

    public NativeDef create_native(java.lang.String id,
                                   java.lang.String name,
                                   java.lang.String version)

  Operation create_native

### create_abstract_interface

    public AbstractInterfaceDef create_abstract_interface(java.lang.String id,
                                                          java.lang.String name,
                                                          java.lang.String version,
                                                          AbstractInterfaceDef[] base_interfaces)

  Operation create_abstract_interface

### create_local_interface

    public LocalInterfaceDef create_local_interface(java.lang.String id,
                                                    java.lang.String name,
                                                    java.lang.String version,
                                                    LocalInterfaceDef[] base_interfaces)

  Operation create_local_interface